### Function

# GIRepository ObjectInfoGetValueFunction

since: 2.80

#### Declaration

    void*
    (* GIObjectInfoGetValueFunction) (
      const GValue* value
    )

#### Description

Extract an object instance out of `value`.

Available since: 2.80

This function is not directly available to language bindings.

#### Parameters

`value`

  Type: `GValue`

  A `GValue`

  The data is owned by the caller of the function.

#### Return value

Type: `void*`

The object instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.